严重 Apache Airflow Docker Provider <3.0 example dag 远程代码执行漏洞(CVE-2022-38362)

CVE编号

CVE-2022-38362

利用情况

EXP 已公开

补丁情况

官方补丁

披露时间

2022-08-17
该漏洞EXP已公开传播,漏洞利用成本极低,建议您立即关注并修复。
漏洞描述
Apache Airflow Docker Provider 在 3.0 以下版本提供给的dag示例中存在远程代码执行漏洞,攻击者可利用其在Airflow worker上执行命令。
解决建议
1、升级 apache-airflow-providers-docker 至3.0.0 及其以上版本。
2、若暂无法升级可删除其默认存在的dag。
阿里云评分
9.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    EXP 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-94 对生成代码的控制不恰当(代码注入)
阿里云安全产品覆盖情况